package com.uas.message.viewmodel;

import com.uas.message.common.domain.Receiver;

import java.util.ArrayList;
import java.util.List;

public class SimpleReceiver {

	private String id;
	/**
	 * 描述
	 */
	private String description;

	/**
	 * 类型
	 */
	private String type;

	public SimpleReceiver(Receiver receiver) {
		this.id = receiver.getId();
		this.description = receiver.getDescription();
		this.type = receiver.getUserType();
	}

	public static List<SimpleReceiver> from(List<? extends Receiver> receivers) {
		List<SimpleReceiver> simpleReceivers = new ArrayList<SimpleReceiver>();
		if (receivers != null) {
			for (Receiver receiver : receivers) {
				simpleReceivers.add(new SimpleReceiver(receiver));
			}
		}
		return simpleReceivers;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

}
