<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme;
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>消息中心</title>
<meta name="description" content="分布式消息中心，包含短信服务、邮件服务、推送消息服务" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="img/icon.png">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/font-awesome/4.6.3/css/font-awesome.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/highlight.js/9.0.0/styles/vs.min.css">
<link rel="stylesheet" type="text/css" href="css/common.css" />
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- start navigation -->
	<c:set var="module" value="home" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- end navigation -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="row">
				<div class="x-content-wrap clearfix">
					<div class="col-sm-12 col-md-12 x-content">
						<!-- tab切换 start-->
						<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs"
							role="tablist">
							<li><a href="#index_apis" aria-controls="index_apis"
								role="tab" data-toggle="tab">接口说明</a></li>
							<li class="active"><a href="#index_about"
								aria-controls="index_about" role="tab" data-toggle="tab">关于消息中心</a></li>

							<h2 class="hidden-xs">
								<i class="fa fa-home"></i> 说明
							</h2>
						</ul>
						<!-- tab切换 end-->
						<!-- start -->
						<div class="x-mod">
							<div class="x-mod-body">
								<div role="tabpanel" id="index_apis" class="x-tab-pane">
									<div class="x-empty">
										<i class="fa fa-coffee"></i>
										<p>
											接口说明请移步<a href="http://192.168.253.60:8010" target="_blank">RAP接口文档</a>
										</p>
									</div>
								</div>
								<div role="tabpanel" id="index_about" class="x-tab-pane active">
									<div class="x-text-container">
										<ul class="x-menu">
											<li>消息中心旨在为各个业务系统提供标准的短信、邮件、推送消息、微信消息等服务接口；</li>
											<li>业务系统无需关心具体实现；</li>
											<li>发送源、模板和接收源需要修改时即时生效；</li>
											<li>消息中心提供：
												<ul class="x-menu">
													<li><s>基于dubbo的rpc服务调用</s></li>
													<li>基于http的接口调用</li>
													<li>基于数据库的自定义消息接收源</li>
													<li>自定义模板</li>
													<li>消息日志</li>
												</ul>
											</li>
										</ul>
									</div>
								</div>
							</div>
						</div>
						<!-- end -->
					</div>

				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->

	<script src="http://cdn.bootcss.com/jquery/1.11.2/jquery.min.js"></script>
	<script
		src="http://cdn.bootcss.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
	<script src="js/main.js"></script>

</body>
</html>