<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme;
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>消息中心</title>
<meta name="description" content="分布式消息中心，包含短信服务、邮件服务、推送消息服务" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="img/icon.png">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/font-awesome/4.6.3/css/font-awesome.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/highlight.js/9.0.0/styles/vs.min.css">
<link rel="stylesheet" type="text/css" href="css/common.css" />
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- navigation start -->
	<c:set var="module" value="sms" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- navigation end -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="row">
				<div class="x-content-wrap clearfix">
					<div class="col-sm-12 col-md-9 x-content">
						<!-- tab切换 start-->
						<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs">
							<li><a data-success="0">发送失败</a></li>
							<li><a data-success="1">发送成功</a></li>
							<li class="active"><a>全部</a></li>

							<h2 class="hidden-xs dropdown x-dropdown">
								<span class="dropdown-toggle"><i class="fa fa-list"></i>
									日志</span>
								<div class="dropdown-menu" style="padding: 15px; width: 240px;">
									<form>
										<div class="form-group">
											<label>手机号</label> <input type="text" class="form-control"
												name="receiver" placeholder="搜索接收人手机号">
										</div>
										<div class="form-group">
											<div>
												<label>分页设置</label>
											</div>
											<label class="radio-inline"> <input type="radio"
												name="pageSize" value="10" checked> 10
											</label> <label class="radio-inline"> <input type="radio"
												name="pageSize" value="20"> 20
											</label> <label class="radio-inline"> <input type="radio"
												name="pageSize" value="50"> 50
											</label>
										</div>
										<button class="btn btn-default btn-block btn-search"
											type="button">搜索</button>
									</form>
								</div>
							</h2>
						</ul>
						<!-- tab切换 end-->
						<!-- 日志列表 start -->
						<div class="x-mod x-list x-log-list">
							<div class="x-mod-body">
								<div class="x-common-list">
									<!-- log item -->
								</div>
								<div class="x-empty" style="display: none">
									<i class="fa fa-coffee"></i>
									<p>还没有发过短信！开发人员可以通过接口调用短信服务，普通用户可以在线选择模板发送短信</p>
								</div>
							</div>
							<div class="x-mod-footer">
								<div class="text-center">
									<ul class="pagination pull-right"></ul>
								</div>
							</div>
						</div>
						<!-- 日志列表 end -->
					</div>

					<!-- 侧边栏 start-->
					<div class="col-sm-12 col-md-3 x-side-bar hidden-xs hidden-sm">
						<!-- 短信模板 -->
						<div class="x-mod text-justify">
							<div class="x-mod-head">
								<a href="/sms/template#/template" class="x-more">更多 &gt;</a>
								<h4>模板</h4>
							</div>
							<div class="x-mod-body">
								<c:forEach items="${templates}" var="template">
									<dl>
										<dt class="pull-left">
											<i class="fa fa-file-text-o"></i>
										</dt>
										<dd class="pull-left">
											<p class="clearfix">
												<a href="/sms/template#/template/${template.id}">${template.description}</a>
											</p>
											<p>
												已调用 <b>${template.usedCount}</b> 次
											</p>
										</dd>
									</dl>
								</c:forEach>
								<c:if test="${templates == null || templates.size() == 0}">
									<p class="x-text-muted">可以将常用短信设置为模板</p>
								</c:if>
							</div>
							<div class="x-mod-footer">
								<a href="/sms/template#/template/"
									class="btn btn-default btn-block">创建模板</a>
							</div>
						</div>
						<!-- 发送者 -->
						<div class="x-mod text-justify">
							<div class="x-mod-head">
								<a href="/sms/sender#/sender" class="x-more">更多 &gt;</a>
								<h4>发送方</h4>
							</div>
							<div class="x-mod-body">
								<c:forEach items="${senders}" var="sender">
									<dl>
										<dt class="pull-left">
											<i class="fa fa-mail-reply"></i>
										</dt>
										<dd class="pull-left">
											<p class="clearfix">
												<a href="/sms/sender#/sender/${sender.id}">${sender.description}</a>
											</p>
											<p>
												已发送 <b>${sender.usedCount}</b> 次
											</p>
										</dd>
									</dl>
								</c:forEach>
								<c:if test="${senders == null || senders.size() == 0}">
									<p class="text-center x-text-muted">可以将运营商接口添加到发送方</p>
								</c:if>
							</div>
							<div class="x-mod-footer">
								<a href="/sms/sender#/sender/"
									class="btn btn-default btn-block">创建发送方</a>
							</div>
						</div>
						<!-- 接收者 -->
						<div class="x-mod text-justify">
							<div class="x-mod-head">
								<a href="/sms/receiver#/receiver" class="x-more">更多 &gt;</a>
								<h4>接收方</h4>
							</div>
							<div class="x-mod-body">
								<c:forEach items="${receivers}" var="receiver">
									<dl>
										<dt class="pull-left">
											<i class="fa fa-mail-forward"></i>
										</dt>
										<dd class="pull-left">
											<p class="clearfix">
												<a href="/sms/receiver#/receiver/${receiver.id}">${receiver.description}</a>
											</p>
											<p>
												已接收 <b>${receiver.usedCount}</b> 次
											</p>
										</dd>
									</dl>
								</c:forEach>
								<c:if test="${receivers == null || receivers.size() == 0}">
									<p class="x-text-muted">可以将常用的手机号或获取手机号的数据源添加为接收方</p>
								</c:if>
							</div>
							<div class="x-mod-footer">
								<a href="/sms/receiver#/receiver/"
									class="btn btn-default btn-block">创建接收方</a>
							</div>
						</div>
					</div>
					<!-- 侧边栏 end-->
				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->

	<script src="http://cdn.bootcss.com/jquery/3.1.0/jquery.min.js"></script>
	<script
		src="http://cdn.bootcss.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
	<script src="js/base.js"></script>
	<script src="js/sms.js"></script>

</body>
</html>