<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<c:set var="line" value="<%=\"\n\"%>" />
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme;
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>消息中心</title>
<meta name="description" content="分布式消息中心，包含短信服务、邮件服务、推送消息服务" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="img/icon.png">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/bootstrap/3.3.4/css/bootstrap.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/font-awesome/4.6.3/css/font-awesome.min.css">
<link rel="stylesheet"
	href="http://cdn.bootcss.com/highlight.js/9.0.0/styles/vs.min.css">
<link href="//cdn.bootcss.com/toastr.js/2.1.2/toastr.min.css"
	rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/common.css" />
<meta name="referrer" content="origin" />
</head>
<body class="home-template">
	<!-- navigation start -->
	<c:set var="module" value="sms" scope="session" />
	<jsp:include page="header.jsp" />
	<!-- navigation end -->

	<!-- main area start -->
	<div class="x-container">
		<div class="container">
			<div class="x-content-wrap clearfix">
				<div class="x-content">
					<!-- tab切换 start-->
					<ul class="nav nav-tabs x-nav-tabs x-navbar-right hidden-xs"
						role="tablist">
						<li><a href="/sms#/home">短信首页</a></li>
						<li><a href="#receiver_list_mine"
							aria-controls="receiver_list_mine" role="tab" data-toggle="tab">我的</a></li>
						<li class="active"><a href="#receiver_list"
							aria-controls="receiver_list" role="tab" data-toggle="tab">全部</a></li>

						<h2 class="hidden-xs">
							<i class="fa fa-mail-forward"></i> 接收方
						</h2>
					</ul>
					<!-- tab切换 end-->
					<!-- 接收者列表 start -->
					<div class="x-mod x-list-2x x-receiver-list">
						<div class="x-mod-body">
							<!-- all list start -->
							<div role="tabpanel" id="receiver_list" class="x-tab-pane active">
								<c:forEach items="${receivers}" var="receiver">
									<div class="x-item">
										<div class="x-icon">
											<i class="fa fa-mail-forward"></i>
										</div>
										<p class="x-title">
											<a class="x-text x-editor-trigger" href="javascript:;"
												data-id="${receiver.id}">${receiver.description}</a>
										</p>
										<div class="text-muted">
											<span class="x-text"> <i
												class="fa fa-fw fa-check-square-o"></i> <c:if
													test="${receiver.userType == 'SQL'}">
														SQL
													</c:if> <c:if test="${receiver.userType == 'DEFAULT'}">
														<c:if test="${fn:contains(receiver.userList, line)}">
														${fn:substringBefore(receiver.userList, line)}...
														</c:if>
														<c:if test="${fn:indexOf(receiver.userList, line) == -1}">
														${receiver.userList}
														</c:if>
													</c:if>
											</span>
										</div>
										<div class="x-text-muted">
											已接收 <b>${receiver.usedCount}</b> 次
										</div>
									</div>
								</c:forEach>
							</div>
							<!-- all list end -->
							<!-- mine start -->
							<div role="tabpanel" id="receiver_list_mine" class="x-tab-pane">
								<c:forEach items="${receivers}" var="receiver">
									<c:if test="${userName == receiver.definer}">
										<div class="x-item">
											<div class="x-icon">
												<i class="fa fa-mail-forward"></i>
											</div>
											<p class="x-title">
												<a class="x-text x-editor-trigger" href="javascript:;"
													data-id="${receiver.id}">${receiver.description}</a>
											</p>
											<div class="text-muted">
												<span class="x-text"> <i
													class="fa fa-fw fa-check-square-o"></i> <c:if
														test="${receiver.userType == 'SQL'}">
														SQL
													</c:if> <c:if test="${receiver.userType == 'DEFAULT'}">
														${fn:substringBefore(receiver.userList, line)}...
													</c:if>
												</span>
											</div>
											<div class="x-text-muted">
												已接收 <b>${receiver.usedCount}</b> 次
											</div>
										</div>
									</c:if>
								</c:forEach>
							</div>
							<!-- mine end -->
							<!-- empty tag -->
							<c:if test="${receivers == null || receivers.size() == 0}">
								<div class="x-empty">
									<i class="fa fa-coffee"></i>
									<p>
										可以<a class="x-editor-trigger" href="javascript:;">添加</a>常用接收人，然后在发送短信的时候指定接收者
									</p>
								</div>
							</c:if>
							<!-- new receiver -->
							<c:if test="${receivers != null && receivers.size() > 0}">
								<div class="x-item">
									<div class="x-icon">
										<a class="x-editor-trigger" href="javascript:;" title="添加接收方"><i
											class="fa fa-plus"></i></a>
									</div>
								</div>
							</c:if>
						</div>
					</div>
					<!-- 接收者列表 end -->
				</div>
			</div>
		</div>
	</div>
	<!-- main area end -->

	<script src="http://cdn.bootcss.com/jquery/3.1.0/jquery.min.js"></script>
	<script
		src="http://cdn.bootcss.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
	<script src="//cdn.bootcss.com/toastr.js/2.1.2/toastr.min.js"></script>
	<script src="js/base.js"></script>
	<script src="js/sms.js"></script>

	<!-- modal -->
	<script type="text/html" id="receiverModal">
<div class="modal fade" role="dialog"
	aria-labelledby="receiverModal_title">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal"
					aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				<h4 class="modal-title" id="receiverModal_title">接收方资料</h4>
			</div>
			<div class="modal-body">
				<form class="form-horizontal x-form">
					<input type="hidden" name="id">
					<div class="form-group">
						<label class="control-label col-sm-3">描述：</label>
						<div class="col-sm-9">
							<input type="text" class="form-control" name="description"
								required>
						</div>
					</div>
					<div class="form-group">
						<label class="control-label col-sm-3">用户类型：</label>
						<div class="col-sm-9">
							<label class="radio-inline"> <input type="radio"
								name="userType" value="DEFAULT"> 用户手机号
							</label> <label class="radio-inline"> <input type="radio"
								name="userType" value="SQL"> SQL动态获取
							</label>
						</div>
					</div>
					<div id="receiverModal_user_default">
						<div class="form-group">
							<label class="control-label col-sm-3">手机号：</label>
							<div class="col-sm-9">
								<textarea class="form-control" rows="8"
									placeholder="输入手机号，用逗号、换行或空格分隔" name="userList"></textarea>
							</div>
						</div>
					</div>
					<div id="receiverModal_user_sql" style="display: none">
						<div class="form-group">
							<label class="control-label col-sm-3">数据库类型：</label>
							<div class="col-sm-9">
								<select class="form-control" name="dbDialect">
									<option value="Oracle">Oracle</option>
									<option value="MySQL">MySQL</option>
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-sm-3">数据库连接：</label>
							<div class="col-sm-9">
								<input type="text" class="form-control" name="dbUrl" required>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-sm-3">数据库用户：</label>
							<div class="col-sm-9">
								<input type="text" class="form-control" name="dbUser" required>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-sm-3">数据库密码：</label>
							<div class="col-sm-9">
								<input type="text" class="form-control" name="dbPwd" required>
							</div>
						</div>
						<div class="form-group">
							<label class="control-label col-sm-3">SQL：</label>
							<div class="col-sm-9">
								<textarea class="form-control" rows="8"
									placeholder="输入查询sql，例如：select user_mobile from t_users where user_enable=1"
									name="userSql"></textarea>
							</div>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-blank" data-dismiss="modal">取消</button>
				<button type="button" class="btn btn-blank btn-del">删除</button>
				<button type="button" class="btn btn-default btn-submit">保存</button>
			</div>
		</div>
	</div>
</div>
	</script>
	<!-- loading -->
	<div id="loading">
		<div class="x-loading-wrap"></div>
		<div class="x-loading">
			<div></div>
			<div></div>
			<div></div>
		</div>
	</div>
</body>
</html>